<sqtm-core-customisable-dialog
  [titleKey]="data.titleKey"
  [dialogId]="data.id"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="flex-column full-width full-height">
      <div class="optional-fields">
        <sqtm-core-optional-select-field
          #stateField
          class="m-t-5"
          [fieldName]="'state'"
          [i18nKey]="'sqtm-core.entity.user.state.label'"
          [select]="true"
          [displayOptions]="stateDisplayOptions"
          [attr.data-test-field-id]="'user-state'"
        >
        </sqtm-core-optional-select-field>

        @if (adminReferentialDataService.isPremiumPluginInstalled$ | async) {
          <sqtm-core-optional-select-field
            #canDeleteField
            class="m-t-5"
            [fieldName]="'can-delete-from-front'"
            [i18nKey]="'sqtm-core.entity.user.permission.plural'"
            [select]="true"
            [displayOptions]="canDeleteDisplayOptions"
            [attr.data-test-field-id]="'can-delete'"
          >
          </sqtm-core-optional-select-field>
        }
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
